%define debug_package %{nil}

Name:           gnome-rdp        
Version:        0.2.3
Release:        alt1_10
Summary:        Remote Desktop Protocol client for the GNOME desktop environment

Group:          Networking/WWW
License:        GPLv3+
URL:            http://sourceforge.net/projects/gnome-rdp
Source0:        http://downloads.sourceforge.net/%name/%{name}-%{version}.tar.gz
Patch0:         gnome-keyring-version.patch 
Patch1:		gnome-rdp-vnc.patch
Patch2:		gnome-rdp-0.2.3-Mono.Data.Sqlite.patch
Patch3:		gnome-rdp-0.2.3-GLib-fix.patch

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x

BuildRequires:  nant
BuildRequires:  glib2-devel >= 2.15.3
BuildRequires:  gtk2-devel >= 2.12.0
BuildRequires:  mono-devel >= 1.9
BuildRequires:  mono-data-sqlite >= 1.9
BuildRequires:  libgtk-sharp2-devel >= 1.9
BuildRequires:  libgnome-sharp-devel >= 2.16.1
BuildRequires:  libgnome-desktop-sharp >= 2.20.1
BuildRequires:  libgnome-desktop-sharp-devel >= 2.20.1
BuildRequires:  libgnome-keyring-sharp-devel
BuildRequires:  gettext
BuildRequires:  perl(XML/Parser.pm)
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  desktop-file-utils
BuildRequires:  tigervnc
BuildRequires:  rdesktop
BuildRequires:  openssh-clients
BuildRequires:  gnome-terminal

Requires:       rdesktop >= 1.6.0
Requires:	tigervnc
# for vncpasswd
Requires:	tigervnc-server
Source44: import.info

%description
gnome-rdp is a Remote Desktop Protocol client for the GNOME desktop
environment. It supports RDP, VNC and SSH. Configured sessions can be saved to
the built in list.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
nant -D:prefix=%{_prefix} -D:libdir=%{_libdir}

%install
nant -D:DESTDIR=%{buildroot} -D:libdir=%{_libdir} install
desktop-file-install --vendor=""                           \
    --remove-category="Internet"                             \
    --delete-original                                        \
    --dir=%{buildroot}%{_datadir}/applications               \
    %{buildroot}%{_datadir}/applications/gnome-rdp.desktop
%find_lang %{name}

%files -f %{name}.lang
%doc COPYING
%doc AUTHORS
%doc README
%doc ChangeLog
%{_bindir}/gnome-rdp
%{_libdir}/gnome-rdp/
%{_datadir}/applications/gnome-rdp.desktop
%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/gnome-rdp.png

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.3-alt1_10
- initial fc import

